Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::GraphicsDeviceSelector Class Reference

グラフィックスデバイスセレクタ More...

`#include <GraphicsDeviceSelector.h>`

Inheritance diagram for Lamp::GraphicsDeviceSelector:

List of all members.

## Public Member Functions
| GraphicsDeviceSelector ()
| コンストラクタ
virtual | ~GraphicsDeviceSelector ()
| デストラクタ
virtual bool | chooseDeviceSettings (HWND windowHandle, bool startFullscreen)
| デバイス設定の選択
virtual bool | findBestWindowedMode (HWND windowHandle, bool requireHAL, bool requireREF)=0
| ウィンドウモードの最適な設定を探す
virtual bool | findBestFullscreenMode (HWND windowHandle, bool requireHAL, bool requireREF)=0
| フルスクリーンモードの最適な設定を探す
## Protected Member Functions
virtual void | buildWindowModeSettings (HWND windowHandle, const D3DDISPLAYMODE &displayMode, GraphicsAdapterInformation *bestAdapter, GraphicsDeviceInformation *bestDevice, GraphicsDeviceComboInformation *bestDeviceCombo)
| ウインドウモード設定の構築
virtual void | buildFullscreenModeSettings (const D3DDISPLAYMODE &displayMode, GraphicsAdapterInformation *bestAdapter, GraphicsDeviceInformation *bestDevice, GraphicsDeviceComboInformation *bestDeviceCombo)
| フルスクリーンモード設定の構築

## Detailed Description

グラフィックスデバイスセレクタ

Definition at line 43 of file GraphicsDeviceSelector.h.

## Member Function Documentation

void Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings | ( | const D3DDISPLAYMODE & | displayMode,
|  | GraphicsAdapterInformation * | bestAdapter,
|  | GraphicsDeviceInformation * | bestDevice,
|  | GraphicsDeviceComboInformation * | bestDeviceCombo
| ) | `[protected, virtual]`

  | フルスクリーンモード設定の構築 Parameters:
  displayMode | ディスプレイモード
  bestAdapter | 最適なアダプタ
  bestDevice | 最適なデバイス
  bestDeviceCombo | 最適なデバイスコンボ
Definition at line 97 of file GraphicsDeviceSelector.cpp. References DebugOut, Lamp::String::getBytes(), Lamp::GraphicsDeviceComboInformation::getDepthStencilFormat(), Lamp::GraphicsDeviceComboInformation::getMultiSampleType(), Lamp::GraphicsDeviceComboInformation::getPresentationInterval(), Lamp::GraphicsDeviceEnumeration::getUsesDepthStencilBuffer(), Lamp::GraphicsDeviceComboInformation::getVertexProcessingType(), Lamp::GraphicsDeviceSettings::setAdapterInformation(), Lamp::GraphicsDeviceSettings::setDepthStencilFormat(), Lamp::GraphicsDeviceSettings::setDeviceComboInformation(), Lamp::GraphicsDeviceSettings::setDeviceInformation(), Lamp::GraphicsDeviceSettings::setDisplayMode(), Lamp::GraphicsDeviceSettings::setMultiSampleQuality(), Lamp::GraphicsDeviceSettings::setMultiSampleType(), Lamp::GraphicsDeviceSettings::setPresentationInterval(), Lamp::GraphicsDeviceSettings::setVertexProcessingType(), Lamp::GraphicsDeviceSettings::setWindowed(), Lamp::GraphicsDeviceComboInformation::toString(), Lamp::GraphicsDeviceInformation::toString(), and Lamp::GraphicsAdapterInformation::toString(). Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode().

void Lamp::GraphicsDeviceSelector::buildWindowModeSettings | ( | HWND | windowHandle,
|  | const D3DDISPLAYMODE & | displayMode,
|  | GraphicsAdapterInformation * | bestAdapter,
|  | GraphicsDeviceInformation * | bestDevice,
|  | GraphicsDeviceComboInformation * | bestDeviceCombo
| ) | `[protected, virtual]`

  | ウインドウモード設定の構築 Parameters:
  windowHandle | ウィンドウハンドル
  displayMode | ディスプレイモード
  bestAdapter | 最適なアダプタ
  bestDevice | 最適なデバイス
  bestDeviceCombo | 最適なデバイスコンボ
Definition at line 51 of file GraphicsDeviceSelector.cpp. References DebugOut, Lamp::String::getBytes(), Lamp::GraphicsDeviceComboInformation::getDepthStencilFormat(), Lamp::GraphicsDeviceComboInformation::getMultiSampleType(), Lamp::GraphicsDeviceComboInformation::getPresentationInterval(), Lamp::GraphicsDeviceEnumeration::getUsesDepthStencilBuffer(), Lamp::GraphicsDeviceComboInformation::getVertexProcessingType(), Lamp::DimensionI::height, Lamp::GraphicsDeviceSettings::setAdapterInformation(), Lamp::GraphicsDeviceSettings::setDepthStencilFormat(), Lamp::GraphicsDeviceSettings::setDeviceComboInformation(), Lamp::GraphicsDeviceSettings::setDeviceInformation(), Lamp::GraphicsDeviceSettings::setDisplayMode(), Lamp::GraphicsDeviceSettings::setMultiSampleQuality(), Lamp::GraphicsDeviceSettings::setMultiSampleType(), Lamp::GraphicsDeviceSettings::setPresentationInterval(), Lamp::GraphicsDeviceSettings::setVertexProcessingType(), Lamp::GraphicsDeviceSettings::setWindowed(), Lamp::GraphicsDeviceSettings::setWindowSize(), Lamp::GraphicsDeviceComboInformation::toString(), Lamp::GraphicsDeviceInformation::toString(), Lamp::GraphicsAdapterInformation::toString(), and Lamp::DimensionI::width. Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode().

bool Lamp::GraphicsDeviceSelector::chooseDeviceSettings | ( | HWND | windowHandle,
|  | bool | startFullscreen
| ) | `[virtual]`

  | デバイス設定の選択 Parameters:
  windowHandle | ウィンドウハンドル
  startFullscreen | フルスクリーンを優先して初期化するならtrue
Returns: 使用できるデバイスが存在すればtrue Definition at line 34 of file GraphicsDeviceSelector.cpp. References findBestFullscreenMode(), findBestWindowedMode(), and Lamp::GraphicsDeviceSettings::setWindowed(). Referenced by Lamp::LampGraphics::initializeDevice().

virtual bool Lamp::GraphicsDeviceSelector::findBestFullscreenMode | ( | HWND | windowHandle,
|  | bool | requireHAL,
|  | bool | requireREF
| ) | `[pure virtual]`

  | フルスクリーンモードの最適な設定を探す Parameters:
  windowHandle | ウィンドウハンドル
  requireHAL | ハードウェアアクセラレーションを要求する場合はtrue
  requireREF | リファレンスラスタライザを要求する場合はtrue
Returns: 使用できるデバイスが存在すればtrue Implemented in Lamp::DesktopGraphicsDeviceSelector. Referenced by chooseDeviceSettings().

virtual bool Lamp::GraphicsDeviceSelector::findBestWindowedMode | ( | HWND | windowHandle,
|  | bool | requireHAL,
|  | bool | requireREF
| ) | `[pure virtual]`

  | ウィンドウモードの最適な設定を探す Parameters:
  windowHandle | ウィンドウハンドル
  requireHAL | ハードウェアアクセラレーションを要求する場合はtrue
  requireREF | リファレンスラスタライザを要求する場合はtrue
Returns: 使用できるデバイスが存在すればtrue Implemented in Lamp::DesktopGraphicsDeviceSelector. Referenced by chooseDeviceSettings().

The documentation for this class was generated from the following files:

- GraphicsDeviceSelector.h
- GraphicsDeviceSelector.cpp